# class KLineEditDlg | Dialog for user to enter a single line of text. More...
Definition | `#include <klineeditdlg.h>`
Inherits | KDialogBase [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KLineEditDlg ( const QString& _text, const QString& _value, QWidget *parent )
- virtual ~KLineEditDlg ()
- QString text ()

#### Public Slots

- void slotClear ()

#### Public Static Methods

- static QString getText (const QString &_text, const QString& _value, bool *ok, QWidget *parent )

#### Protected Members

- QLineEdit *edit

## Detailed Description

Dialog for user to enter a single line of text.

KLineEditDlg ( const QString& _text, const QString& _value, QWidget *parent ) | ### KLineEditDlg

Create a dialog that asks for a single line of text. _value is the initial value of the line. _text appears as label on top of the entry box.

Parameters:

_text | Text of the label
_value | Initial value of the inputline

~KLineEditDlg () | ### ~KLineEditDlg

[virtual]

QString text () | ### text

Returns: the value the user entered

QString getText (const QString &_text, const QString& _value, bool *ok, QWidget *parent ) | ### getText

[static]

Static convenience function to get a textual input from the user.

Parameters:

_text | Text of the label
_value | Initial value of the inputline
ok | this bool will be set to true if user pressed "Ok"

void slotClear () | ### slotClear

[slot]

Clears the edit widget

QLineEdit * edit | ### edit

[protected]

- Version: $Id: klineeditdlg.h,v 1.9 2000/03/24 18:25:19 wgreven Exp $
- Author: David Faure <faure@kde.org>, layout management by Preston Brown <pbrown@kde.org>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.